<?
/*Função que converte d/m/Y para Y-m-d
Utilizado para inserir datas do tipo converncional em
campos tipo Date do MySQL*/
function dtBanco($data) {
	$data = trim($data);
	if (strlen($data) != 10) { $rs = ""; }
	else {
	$arr_data = explode("/",$data);
	$data_banco = $arr_data[2]."-".$arr_data[1]."-".$arr_data[0];
	$rs = $data_banco; }
	return $rs;
}

function dtBrasil($data) {
	$data = trim($data);
	$data_brasil = implode(preg_match("~\/~", $data) == 0 ? "/" : "-", array_reverse(explode(preg_match("~\/~", $data) == 0 ? "-" : "/", $data)));
	$rs = $data_brasil;
	return $rs;
}

function moeda($get_valor) {  
                $source = array('.', ',');  
                $replace = array('', '.');  
                $valor = str_replace($source, $replace, $get_valor);
                return $valor;
}

function youtubeUrl($url){
	$url = explode('v=', $url);
	$url = substr($url[1],0,11);
	return $url;
}

/*FUNCAO PARA PEGAR APENAS NUMEROS*/
function soNumero($str) {
return preg_replace("/[^0-9]/", "", $str);}
/*FIM DA FUNCAO DE APENAS NUMEROS*/


function dtExtenso($data){

$ano =  substr("$data", 0, 4);
$mes =  substr("$data", 5, -3);
$dia =  substr("$data", 8, 9);

$diasemana = date("w", mktime(0,0,0,$mes,$dia,$ano) );
	switch($diasemana) {
		case"0": $diasemana = "Domingo";       break;
		case"1": $diasemana = "Segunda-Feira"; break;
		case"2": $diasemana = "Terça-Feira";   break;
		case"3": $diasemana = "Quarta-Feira";  break;
		case"4": $diasemana = "Quinta-Feira";  break;
		case"5": $diasemana = "Sexta-Feira";   break;
		case"6": $diasemana = "Sábado";        break;
	}	
	switch ($mes) {
		case "1":  $mes_nome = Janeiro; break;
		case "2":  $mes_nome = Fevereiro; break;
		case "3":  $mes_nome = Março; break;
		case "4":  $mes_nome = Abril; break;
		case "5":  $mes_nome = Maio; break;
		case "6":  $mes_nome = Junho; break;
		case "7":  $mes_nome = Julho; break;
		case "8":  $mes_nome = Agosto; break;
		case "9":  $mes_nome = Setembro; break;
		case "10": $mes_nome = Outubro; break;
		case "11": $mes_nome = Novembro; break;
		case "12": $mes_nome = Dezembro; break;
	}

   $rs = $diasemana.', '.$dia.' de '.$mes_nome.' de '.$ano;
   return $rs;
}

function upImage($imagem, $pasta, $wmax, $hmax) {
// Se o usuário clicou no botão cadastrar efetua as ações

	// Se a foto estiver sido selecionada
	if (!empty($imagem["name"])) {
 
		// Largura máxima em pixels
		$largura = $wmax;
		// Altura máxima em pixels
		$altura = $hmax;
		// Tamanho máximo do arquivo em bytes
		$tamanho = 1048576;
 
    	// Verifica se o arquivo é uma imagem
    	if(!preg_match("/^image\/(pjpeg|jpeg|png|gif|bmp)$/", $imagem["type"])){
     	   $error[1] = "Isso não é uma imagem.";
   	 	} 
 
		// Pega as dimensões da imagem
		$dimensoes = getimagesize($imagem["tmp_name"]);
 
		// Verifica se a largura da imagem é maior que a largura permitida
		if($dimensoes[0] > $largura) {
			$error[2] = "A largura da imagem não deve ultrapassar ".$largura." pixels";
		}
 
		// Verifica se a altura da imagem é maior que a altura permitida
		if($dimensoes[1] > $altura) {
			$error[3] = "Altura da imagem não deve ultrapassar ".$altura." pixels";
		}
 
		// Verifica se o tamanho da imagem é maior que o tamanho permitido
		if($imagem["size"] > $tamanho) {
   		 	$error[4] = "A imagem deve ter no máximo ".($tamanho/1024)." kbytes";
		}
 
		// Se não houver nenhum erro
		if (count($error) == 0) {
			// Pega extensão da imagem
			preg_match("/\.(gif|bmp|png|jpg|jpeg){1}$/i", $imagem["name"], $ext);
        	// Gera um nome único para a imagem
        	$nome_imagem = md5(uniqid(time())) . "." . $ext[1];
        	// Caminho de onde ficará a imagem
        	$caminho_imagem = $pasta . $nome_imagem;
			// Faz o upload da imagem para seu respectivo caminho
			move_uploaded_file($imagem["tmp_name"], $caminho_imagem);
			
			$rs = $nome_imagem;
			return $rs;
		}
 
		// Se houver mensagens de erro, exibe-as
		else if (count($error) != 0) {
			echo '<div style="color:#fff;">';
			foreach ($error as $erro) {
				echo $erro . "<br />";
			}
			echo '</div>';
		}
	}
}

function upload($arquivo,$caminho){
	if(!(empty($arquivo))){
		$arquivo1 = $arquivo;
		$arquivo_minusculo = strtolower($arquivo1['name']);
		$caracteres = array("ç","~","^","]","[","{","}",";",":","´",",",">","<","-","/","|","@","$","%","ã","â","á","à","é","è","ó","ò","+","=","*","&","(",")","!","#","?","`","ã"," ","©");
		$arquivo_tratado = str_replace($caracteres,"",$arquivo_minusculo);
		$destino = $caminho."/".$arquivo_tratado;
		if(move_uploaded_file($arquivo1['tmp_name'],$destino)){
			echo "<script>window.alert('Arquivo enviado com sucesso.');</script>";
		}else{
			echo "<script>window.alert('Erro ao enviar o arquivo');</script>";
		}
	}
}
?>